Skip to main content
GET
/
payments
List all payments
curl --request GET \
  --url https://api.getlago.com/api/v1/payments \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.getlago.com/api/v1/payments"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.getlago.com/api/v1/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "payments": [
    {
      "lago_id": "4cf085a7-c196-4f07-a543-97c50ec6e8b2",
      "lago_customer_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
      "external_customer_id": "5eb02857-a71e-4ea2-bcf9-57d3a41bc6ba",
      "invoice_ids": [
        "486b147a-02a1-4ccf-8603-f3541fc25e7a"
      ],
      "lago_payable_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
      "payable_type": "Invoice",
      "amount_cents": 1099,
      "amount_currency": "USD",
      "status": "Completed",
      "payment_status": "succeeded",
      "type": "manual",
      "reference": "ref1",
      "payment_provider_code": "stripe_prod",
      "payment_provider_type": "stripe",
      "external_payment_id": "<string>",
      "provider_payment_id": "pi_5eb0285741bc6ba",
      "provider_customer_id": "cus_5eb0285bcf941bc6ba",
      "next_action": {
        "type": "redirect_to_url",
        "redirect_to_url": {
          "url": "https://hooks.stripe.com/3d_secure_2/hosted?merchant=acct_AAA&payment_intent=pi_BBB&payment_intent_client_secret=pi_BBB&publishable_key=pk_test_CCC",
          "return_url": "https://app.example.com"
        }
      },
      "created_at": "2025-01-21T00:10:29Z",
      "invoice_numbers": [
        "HOO-202D-005-001"
      ],
      "payment_method_id": "1a901a90-1a90-1a90-1a90-1a901a901a90"
    }
  ],
  "meta": {
    "current_page": 2,
    "total_pages": 4,
    "total_count": 70,
    "next_page": 3,
    "prev_page": 1
  }
}
{
"status": 401,
"error": "Unauthorized"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer

Page number.

Example:

1

per_page
integer

Number of records per page.

Example:

20

external_customer_id
string

Unique identifier assigned to the customer in your application.

Example:

"5eb02857-a71e-4ea2-bcf9-57d3a41bc6ba"

invoice_id
string<uuid>

Unique identifier assigned to the invoice within the Lago application. This ID is exclusively created by Lago and serves as a unique identifier for the invoice's record within the Lago system.

Example:

"1a901a90-1a90-1a90-1a90-1a901a901a90"

Response

Payments

payments
object[]
required
meta
object
required